OpenNMS API 1.2.9

## org.opennms.netmgt.collectd
Class StringDataSource

    java.lang.Object
      org.opennms.netmgt.collectd.DataSource
          org.opennms.netmgt.collectd.StringDataSource

public class StringDataSource
extends DataSource

Author:
  craig.miskell@agresearch.co.nz

Field Summary

Fields inherited from class org.opennms.netmgt.collectd.DataSource
`m_instance, m_name, m_oid`

Constructor Summary
`StringDataSource(MibObject obj)`

Method Summary
`java.lang.String` `getStorableValue(SnmpSyntax snmpVar)` This method extracts from snmpVar a string which can be passed as the val parameter of performUpdate.
`static boolean` `handlesType(java.lang.String objectType)`
`boolean` `performUpdate(java.lang.String collectionName, java.lang.String owner, java.lang.String repository, java.lang.String dsName, java.lang.String val)` Stores the value `val` in the datasource named dsName, in repository repository.
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.collectd.DataSource
`dataSourceForMibObject, getFullOid, getInstance, getName, getOid, setInstance, setName, setOid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringDataSource

    public StringDataSource(MibObject obj)

Parameters:
  `obj` - mibObject to use as the basis for configuring this datasource

Method Detail

### handlesType

    public static boolean handlesType(java.lang.String objectType)

  Parameters:
    `objectType` - MIB object type being inquired about
  Returns:
    true if StringDataSource can handle the given type, false if it can't

### performUpdate

    public boolean performUpdate(java.lang.String collectionName,
                                 java.lang.String owner,
                                 java.lang.String repository,
                                 java.lang.String dsName,
                                 java.lang.String val)

  Description copied from class: `DataSource`
  Stores the value `val` in the datasource named dsName, in repository repository. Creates the store if need be (e.g. an rrd file, or a properties file, or whatever)

  Specified by:
    `performUpdate` in class `DataSource`

### toString

    public java.lang.String toString()

### getStorableValue

    public java.lang.String getStorableValue(SnmpSyntax snmpVar)

  Description copied from class: `DataSource`
  This method extracts from snmpVar a string which can be passed as the val parameter of performUpdate.

  Specified by:
    `getStorableValue` in class `DataSource`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.